package services

import (
	"eta/eta_mini_bridge/models"
	"eta/eta_mini_bridge/utils"
)

// 根据用户id和平台id获取用户信息
func GetUserItemByUserId(userId int) (UserItem *models.UserItem, err error) {
	//获取用户信息
	UserItem, wxUserErr := models.GetUserItemByUserId(userId)
	if wxUserErr != nil {
		err = wxUserErr
		return
	}
	//格式化返回用户数据
	formatWxUser(UserItem)
	return
}

// 通过用户 用户记录  和  来源平台  格式化返回 用户数据
func formatWxUser(wxUser *models.UserItem) {
	//根据用户id和平台id获取用户关系
	userRecord, userRecordErr := models.GetUserRecordByUserId(wxUser.UserId)
	if userRecordErr != nil {
		if userRecordErr.Error() != utils.ErrNoRow() {
			return
		}
		if userRecordErr.Error() == utils.ErrNoRow() {
			return
		}
	}

	//该openid在系统中没有关联关系
	if userRecord == nil {
		return
	}

	wxUser.OpenId = userRecord.OpenId
	wxUser.UnionId = userRecord.UnionId
	wxUser.NickName = userRecord.NickName
	//wxUser.RealName = userRecord.RealName
	//wxUser.BindAccount = userRecord.BindAccount
	wxUser.Headimgurl = userRecord.Headimgurl
	return
}
