package services

import (
	"errors"
	"eta/eta_mini_bridge/utils"
	"strconv"
)

func CheckUserPermission(userId int) (status int, err error) {
	if userId > 0 {
		user, err := GetUserItemByUserId(userId)
		if err != nil {
			status = 40001
			if err.Error() == utils.ErrNoRow() {
				err = errors.New("用户信息不存在：userId:" + strconv.Itoa(userId))
				return status, err
			}
			err = errors.New("获取用户信息失败：userId:" + strconv.Itoa(userId) + ";Err:" + err.Error())
			return status, err
		}
		if user == nil {
			status = 40001
			err = errors.New("获取用户信息失败：userId:" + strconv.Itoa(userId))
			return status, err
		}

	} else {
		status = 40001
		err = errors.New("用户id错误")
	}
	return
}
